Metacat - Bug #7187

Set file names correctly when reading objects from Metacat
05/10/2017 08:05 AM - Chris Jones

Status: Resolved Start date: 05/10/2017
Priority: Normal Due date:

Assignee: Chris Jones % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: 2.8.3 Spent time: 0.00 hour
Bugzilla-ld:

Description

We now store file names in SystemMetadata.fileName. In MetacatHandler.readFromMetacat(), we are currently generating a file
name based on the docid, and setting it into the Content-Disposition header. Change generateOutputName() to use
SystemMetadata.fileName when it's available, and fall back to generating a file name.

History

#1 - 05/10/2017 08:08 AM - Chris Jones
- Target version changed from 2.8.3 to 2.9.0

#2 - 05/10/2017 08:15 AM - Chris Jones

- Status changed from New to In Progress

I've modified generateOutputName to use SystemMetadata.fileName when it's available. We'll need to test this in a 2.9.0 deployment.

#3 - 05/22/2017 10:56 AM - Jing Tao
- Target version changed from 2.9.0 to 2.8.3

#4 - 05/23/2017 03:32 PM - Jing Tao

- Status changed from In Progress to Resolved

Tested it and it worked.

#5 - 05/30/2017 11:42 AM - Chris Jones
- Target version changed from 2.8.3 to 2.8.4

#6 - 05/30/2017 12:39 PM - Jing Tao
- Target version changed from 2.8.4 to 2.8.3

Itis in the 2.8.3 release.
